## org.apache.mahout.math.hadoop
Class TimesSquaredJob

    java.lang.Object
      org.apache.mahout.math.hadoop.TimesSquaredJob

    public final class TimesSquaredJob

extends java.lang.Object

Nested Class Summary
`static class` `TimesSquaredJob.TimesMapper`
`static class` `TimesSquaredJob.TimesSquaredMapper<T extends org.apache.hadoop.io.WritableComparable>`
`static class` `TimesSquaredJob.VectorSummingReducer`

Field Summary
`static java.lang.String` `INPUT_VECTOR`
`static java.lang.String` `IS_SPARSE_OUTPUT`
`static java.lang.String` `OUTPUT_VECTOR_DIMENSION`
`static java.lang.String` `OUTPUT_VECTOR_FILENAME`

Method Summary
`static org.apache.hadoop.mapred.JobConf` `createTimesJobConf(Vector v, int outDim, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPath)`
`static org.apache.hadoop.mapred.JobConf` `createTimesSquaredJobConf(Vector v, int outputVectorDim, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPathBase, java.lang.Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass, java.lang.Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)`
`static org.apache.hadoop.mapred.JobConf` `createTimesSquaredJobConf(Vector v, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPath)`
`static org.apache.hadoop.mapred.JobConf` `createTimesSquaredJobConf(Vector v, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPathBase, java.lang.Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass, java.lang.Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)`
`static Vector` `retrieveTimesSquaredOutputVector(org.apache.hadoop.mapred.JobConf conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT_VECTOR

    public static final java.lang.String INPUT_VECTOR

See Also:
  Constant Field Values

### IS_SPARSE_OUTPUT

    public static final java.lang.String IS_SPARSE_OUTPUT

See Also:
  Constant Field Values

### OUTPUT_VECTOR_DIMENSION

    public static final java.lang.String OUTPUT_VECTOR_DIMENSION

See Also:
  Constant Field Values

### OUTPUT_VECTOR_FILENAME

    public static final java.lang.String OUTPUT_VECTOR_FILENAME

See Also:
  Constant Field Values

Method Detail

### createTimesSquaredJobConf

    public static org.apache.hadoop.mapred.JobConf createTimesSquaredJobConf(Vector v,
                                                                             org.apache.hadoop.fs.Path matrixInputPath,
                                                                             org.apache.hadoop.fs.Path outputVectorPath)
                                                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### createTimesJobConf

    public static org.apache.hadoop.mapred.JobConf createTimesJobConf(Vector v,
                                                                      int outDim,
                                                                      org.apache.hadoop.fs.Path matrixInputPath,
                                                                      org.apache.hadoop.fs.Path outputVectorPath)
                                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.mapred.JobConf createTimesSquaredJobConf(Vector v,
                                                                             org.apache.hadoop.fs.Path matrixInputPath,
                                                                             org.apache.hadoop.fs.Path outputVectorPathBase,
                                                                             java.lang.Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass,
                                                                             java.lang.Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)
                                                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.mapred.JobConf createTimesSquaredJobConf(Vector v,
                                                                             int outputVectorDim,
                                                                             org.apache.hadoop.fs.Path matrixInputPath,
                                                                             org.apache.hadoop.fs.Path outputVectorPathBase,
                                                                             java.lang.Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass,
                                                                             java.lang.Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)
                                                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### retrieveTimesSquaredOutputVector

    public static Vector retrieveTimesSquaredOutputVector(org.apache.hadoop.mapred.JobConf conf)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.